std::type_order< _Tp, _Up >(3cxx)

NAME
std::type_order< _Tp, _Up > - Total ordering of types.

SYNOPSIS

#include <compare>

  Public Types

using value_type

  Public Member Functions

constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes

static constexpr strong_ordering value

Detailed Description

  template<typename _Tp, typename _Up>
struct std::type_order< _Tp, _Up >"Total ordering of types.

Since
    C++26

Author

Generated automatically by Doxygen for libstdc++ from the source code.